<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CategoriaTarifa extends Model
{
    use HasFactory;

    protected $table = 'categoria_tarifa';
    protected $primaryKey = 'id_categoria_tarifa';
    public $timestamps = true;

    protected $fillable = [
        'id_clase_tarifa',
        'nombre_categoria',
        'rango_inicial',
        'rango_final',
        'descripcion',
    ];

    // Relación: una categoría pertenece a una clase
    public function claseTarifa()
    {
        return $this->belongsTo(ClaseTarifa::class, 'id_clase_tarifa');
    }

    public function tarifas()
    {
        return $this->hasMany(Tarifa::class, 'id_categoria_tarifa');
    }

    public function categorias()
    {
        return $this->hasMany(CategoriaTarifa::class, 'id_clase_tarifa');
    }

   


}
